[SCM] PostGIS branch master updated. 3.5.0alpha1-5-g8a73af4b3

git at osgeo.org git at osgeo.org
Fri Jul 5 03:36:59 PDT 2024


This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "PostGIS".

The branch, master has been updated
       via  8a73af4b367a18db35213f65ded961daddb2c3fa (commit)
      from  74e0e52d2ab4a996a009965d84da30b941d46c2c (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit 8a73af4b367a18db35213f65ded961daddb2c3fa
Author: Sandro Santilli <strk at kbt.io>
Date:   Fri Jul 5 12:34:53 2024 +0200

    Do not check woodpecker configuration if not found
    
    It isn't found in distribution tarball.
    Closes #5759

diff --git a/utils/check_lang_enabled.sh b/utils/check_lang_enabled.sh
index 4d6afdd0e..fede59afb 100755
--- a/utils/check_lang_enabled.sh
+++ b/utils/check_lang_enabled.sh
@@ -21,9 +21,9 @@ while [ $# -gt 0 ]; do
 done
 
 if [ -z "${RD}" ]; then
-  RD=`dirname $0`/..
+  RD=$(cd $(dirname $0)/..; pwd)
 fi
-test ${RD}/doc/po || {
+test -d ${RD}/doc/po || {
   echo "ERROR: Source dir ${RD} does not contain a doc/po directory" >&2
   exit 1
 }
@@ -32,6 +32,13 @@ ENABLED_TRANSLATIONS=$(grep ^translations ${RD}/doc/Makefile.in | cut -d= -f2)
 fail=0
 
 CORRECTLY_ENABLED=
+CHECK_WOODIE=no
+
+if test -d ${RD}/.woodpecker; then
+  CHECK_WOODIE=yes
+else
+  echo "SKIP: woodpecker config not checked as ${RD}/.woodpecker dir is not present"
+fi
 
 # Available languages are those for which we have at least a .po file
 for LANG in $(
@@ -54,11 +61,13 @@ do
   }
 
   # Check that the language check is enabled for woodie
-  grep -qw "${LANG}" ${RD}/.woodpecker/docs.yml || {
-    echo "FAIL: ${LANG} is not enabled in ${RD}/.woodpecker/docs.yml"
-    fail=$((fail+1))
-    continue
-  }
+  if test "${CHECK_WOODIE}" = "yes"; then
+    grep -qw "${LANG}" ${RD}/.woodpecker/docs.yml || {
+      echo "FAIL: ${LANG} is not enabled in ${RD}/.woodpecker/docs.yml"
+      fail=$((fail+1))
+      continue
+    }
+  fi
 
   echo "PASS: ${LANG} is correctly enabled"
 

-----------------------------------------------------------------------

Summary of changes:
 utils/check_lang_enabled.sh | 23 ++++++++++++++++-------
 1 file changed, 16 insertions(+), 7 deletions(-)


hooks/post-receive
-- 
PostGIS


More information about the postgis-tickets mailing list